Skip to main content
Storage Management/Data Storage APIs/Distributed Storage Related Interfaces
DELETEDistributed Storage Related InterfacesSince 0.6SynchronousAuth Required

Remove Monitoring Node from Distributed Storage

Remove Monitoring Node from Distributed Storage

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Request Inputs

Path Parameters

  • uuidStringRequired

    UUID of the distributed storage

Body Fields

  • monHostnamesListRequired

    List of mon node hostnames

  • systemTagsList

    System tags

  • userTagsList

    User tags

Responses

DELETE endpoints return an empty object on success, or a standard error structure on failure.

Success Response

{}

Error Response

{
  "error": {
    "code": "SYS.1001",
    "description": "A message or a operation timeout",
    "details": "Delete resource timeout after 300s"
  }
}

Endpoint

DELETE/zstack/v1/primary-storage/ceph/31db2011f3944c85ae24a7ca607302e5/mons?monHostnames=10.0.1.2

/zstack/v1/primary-storage/ceph/31db2011f3944c85ae24a7ca607302e5/mons?monHostnames=10.0.1.2

Operation ID

RemoveMonFromCephPrimaryStorage

Permalink

Request Example

curl -X DELETE 'http://{host}/zstack/v1/primary-storage/ceph/31db2011f3944c85ae24a7ca607302e5/mons?monHostnames=10.0.1.2' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"monHostnames":["<monHostnames>"],"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{}

Change History

This API has no change history records yet.

View all change history